/*
 *========================================================================
 *
 *   시스템명 : 요금징수 시스템
 *   파 일 명 : ft_basictbl.pc
 *   작 성 자 : 오효섭 (catacath@neighbor21.co.kr)
 *   작 성 일 : 2012.10.10
 *   수 정 일 :
 *   설    명 : 기초상태테이블의 파일/테이블간 변환처리
 *
 *========================================================================
*/

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <unistd.h>

#include "bas_tbl.h"
#include "lane_stat_info.h"
#include "chg_struc.h"
#include "file_nm.h"
#include "file_no.h"
#include "dir_path.h"
#include "ora_sql.h"
#include "ipc_def.h"
#include "file_lb.h"
#include "tcs_db_def.h"
#include "fare_tbl.h"

static    struct    write_info         wi;
static    struct    bas_tbl         bas_tbl_f;
static    struct    fare_tbl        fare_tbl_o;
static    T_REVM_BASICINFO       revm_basicinfo;
static    T_REVM_LANEINFO        revm_laneinfo;
static    T_REVM_CARDRATE        revm_cardrate;
static    T_REVM_TABLENO         revm_tableno;
static    T_REVM_SCRATECAR       revm_scratecar;
static    T_REVM_RATE            revm_rate;
static    T_EXTM_LSAMMAXMIN      extm_lsammaxmin;
static    T_EXTM_LOADRATE        extm_loadrate;
static    T_EXTM_LOADMAX         extm_loadmax;
static    T_PUBM_DCCARTYPE       pubm_dccartype;
static    T_REVM_OBURATE         revm_oburate;
static    T_REVM_FAREINFO        revm_fareinfo;

int main()
{
    int     isfd, isrc;
    int     ii, jj, kk, mm;
    struct  lo_lane_ctrl_cmd   llcc;                /* 제어요청 info        */
    struct  lo_lane_ctrl_reply   llcr;                /* 제어반환 info        */
    char    path[128];
    char    temp[3+1];
    char    msg[128];
    char    plz_id[4];

    memset(&fare_tbl_o, 0, sizeof(struct fare_tbl));

    isfd = lb_fopen(&wi, FNO_PASSFARETBL, FINPUT+FC_MANULOCK);
    if(isfd < 0)
    {
        printf("open error\n");
        exit(0);
    }

    ii=0;
    jj=0;
    kk=0;
    mm=0;
    if (isfd > 0)
    {
        for(kk = 0; kk < 5; kk++)
        {
            isrc = lb_fread(isfd, FNO_PASSFARETBL, &fare_tbl_o);
			if(isrc < 0) break;

            printf("영업소명 : [%.03s]\n",fare_tbl_o.plz_id);
            printf("램프구분 : [%.2s]\n",fare_tbl_o.sectn_div);
            printf("요금구분 : [%.2s]\n",fare_tbl_o.fare_div);
            printf("영업소명한글 : [%s]\n",fare_tbl_o.plz_nm);
            printf("요금인덱스 : [%.s]\n",fare_tbl_o.fare_index);
            printf("시작시간 : [%02s:%02s]\n",fare_tbl_o.strt_tm);
            printf("종료시간 : [%02s:%02s]\n",fare_tbl_o.end_tm);
            printf("구 시작시간 : [%02s:%02s]\n",fare_tbl_o.od_strt_tm);
            printf("구 종료시간 : [%02s:%02s]\n",fare_tbl_o.od_end_tm);
            printf("사용여부 : [%.s]\n",fare_tbl_o.use_yn);
            for (ii = 0; ii < 8 ; ii++)
            {
                for(jj = 0; jj < 2; jj++)
                {
                    printf("신차종 : [%6d] \n", fare_tbl_o.nw_od_fare[ii][jj]);
                    printf("구차종 : [%6d] \n", fare_tbl_o.nw_od_vat[ii][jj]);
                }
            }

        }

    }
    lb_close(isfd);
}
























